Package com.google.javascript.jscomp

# Class PerformanceTracker

java.lang.Object
com.google.javascript.jscomp.PerformanceTracker

public class PerformanceTracker extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PerformanceTracker.Stats`
For each pass, keep track of the runtime, the size changes, etc

## Method Summary

Modifier and Type
Method
Description
`int`
`getGzSize()`
`int`
`getRuntime()`
`int`
`getSize()`
`com.google.common.collect.ImmutableMap<String,PerformanceTracker.Stats>`
`getStats()`
`void`
`outputTracerReport(PrintStream pstr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getRuntime

public int getRuntime()

### getSize

public int getSize()

### getGzSize

public int getGzSize()

### getStats

public com.google.common.collect.ImmutableMap<String,PerformanceTracker.Stats> getStats()

### outputTracerReport

public void outputTracerReport(PrintStream pstr)